package com.loveCoding.hello;

public class Hello {
    public static void main(String[] args){
        /*
            变量的格式
            数据类型 变量名=变量值;
         */
        int age=15;
        double height=1.8;
        System.out.println("Hello World");

        /*
            计算机中最小的信息单元是bit 比特位，一般用小写字母 b 表示。1bit就是一位二进制数。
            比如 0101 就是4bit。
            连续的8个bit就是1字节，是计算机最基本的存储单元：字节(byte)，一般用大写的 B 表示
            1Byte = 8bit
            1KB = 1024Byte
            1MB = 1024KB
            1GB = 1024MB
            1TB = 1024GB

         */

        /*
            Java是一种强类型的语言。
                1、Java中的任何变量必须有明确的数据类型。
                2、Java中的变量值复制的变量名必须类型一致。


            整数类型：
                byte    字节型     1字节
                short   短整型     2字节
                int     整型      4字节
                long    长整型     8字节
            浮点数类型
                float   单精度浮点类型 4字节
                double  双精度浮点类型 8字节
            字符类型
                char    表示1个字符  2字节  只能表示1个字符，字符使用单引号括起来
            布尔类型
                boolean 表示真或假   1字节     只有两个值，true或false
         */
        float f1=3.14f; //为了区分float和double，Java强制需要在float类型的变量值后面添加f或F
        double d1=3.14d;
        double d2=3.14;
        char c1='张';
        boolean b1=true;

        /*
            变量名、方法名、类名、包名、项目名 统称为标识符
            标识符命名是有规范的：
                1、标识符只能由字母(a-z,A-Z)、数字(0-9)、下划线(_)、美元符号($)组成
                2、不能以数字开头
                3、不能以关键字作为标识符，但标识符里可以包含关键字
                4、Java中的标识符是区分大小写的。

            命名约定：
                小驼峰命名法：
                    一般用在变量名和方法名上
                    第一个单词首字母小写，其余单词首字母都大写
                大驼峰命名法：
                    一般用在类名
                    所有单词的首字母都大写
         */
    }
}
